> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onera.app/llms.txt
> Use this file to discover all available pages before exploring further.

# India Filing



## OpenAPI

````yaml /openapi.json get /india/filings/{artifact_id}
openapi: 3.1.0
info:
  title: Corpus API
  description: >-
    Point-in-time financial and governed-document data for the US, India, and
    China.
  version: '2026-07-20'
servers:
  - url: https://corpus-api.onera.app
    description: Production
security: []
paths:
  /india/filings/{artifact_id}:
    get:
      tags:
        - India · Annual Reports
      summary: India Filing
      operationId: india_filing_india_filings__artifact_id__get
      parameters:
        - name: artifact_id
          in: path
          required: true
          schema:
            type: string
            title: Artifact Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IndiaFilingResponse'
        '400':
          description: Invalid parameter combination
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Missing or invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Insufficient jurisdiction or scope
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Unknown resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Request schema validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Source content is unavailable or still processing
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - X-API-KEY: []
components:
  schemas:
    IndiaFilingResponse:
      properties:
        filing:
          $ref: '#/components/schemas/IndiaFiling'
      type: object
      required:
        - filing
      title: IndiaFilingResponse
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
        message:
          type: string
          title: Message
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
      type: object
      required:
        - error
        - message
      title: ErrorResponse
    IndiaFiling:
      properties:
        artifact_id:
          type: string
          title: Artifact Id
        company_name:
          type: string
          title: Company Name
        bse_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Bse Code
        nse_symbol:
          anyOf:
            - type: string
            - type: 'null'
          title: Nse Symbol
        period_month:
          anyOf:
            - type: string
            - type: 'null'
          title: Period Month
        period_year:
          anyOf:
            - type: integer
            - type: 'null'
          title: Period Year
        page_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Page Count
        ocr_pages:
          anyOf:
            - type: integer
            - type: 'null'
          title: Ocr Pages
        char_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Char Count
        is_scanned:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Scanned
        pdf_available:
          type: boolean
          title: Pdf Available
        text_available:
          type: boolean
          title: Text Available
        knowledge_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Knowledge Time
      type: object
      required:
        - artifact_id
        - company_name
        - pdf_available
        - text_available
      title: IndiaFiling
  securitySchemes:
    X-API-KEY:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Provisioned Corpus API key with the required jurisdiction and operation
        scopes.

````